/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once

typedef uint16_t inputstate_t;

extern inputstate_t INPUT_CURRENT;
extern inputstate_t INPUT_LAST_FRAME;

/**
 * Initializes the input system
 */
void inputInit();
void inputUpdate();